<nav class="navbar navbar-expand-lg navbar-light bg-light">
	<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo01" aria-controls="navbarTogglerDemo01" aria-expanded="false" aria-label="Toggle navigation">
		<span class="navbar-toggler-icon"></span>
	</button>
	<div class="collapse navbar-collapse" id="navbarTogglerDemo01">
		<a class="navbar-brand" href="{{ url('homepage.index') }}">Giphy</a>
		<ul class="navbar-nav mr-auto mt-2 mt-lg-0">
			<li class="nav-item">
			{#
				lien:
					url : lien absolu
					path : lien relatif
				cibler le nom des routes définis dans la propriété name de l'annotation @Route
			#}
			<a class="nav-link" href="{{ url('homepage.index') }}">Accueil</a>
		</li>
				<li class="nav-item dropdown">
			<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			Catégories
			</a>
			{#{ get_categories() }#}
			<div class="dropdown-menu" aria-labelledby="navbarDropdown">
				{% for category in get_categories() | filter(value => value.parent == null ) %}
					{#
						lien vers une route contenant une variable de route : url ou path
							le second paramètre permet de spécifier les variables de route
					#}
					<a class="dropdown-item" href="{{ url('category.index', { categorySlug: category.slug }) }}">{{ category.name | title }}</a>
				{% endfor %} 
			</div> 
		</li>
		</ul>

		<ul class="navbar-nav ml-auto mt-2 mt-lg-0">
			{#
				is_granted : permet de tester
					l'état de connexion de l'utilisateur
					le rôle de l'utilisateur (ROLE_USER par défaut) 
			#}
			{% if is_granted('IS_AUTHENTICATED_FULLY') %}
				<li class="nav-item">
					<a class="nav-link" href="{{ url('security.logout') }}">Déconnexion</a>
				</li>
			{% else %}
				<li class="nav-item">
					<a class="nav-link" href="{{ url('security.login') }}">Connexion</a>
				</li>
				<li class="nav-item">
					<a class="nav-link" href="{{ url('registration.register') }}">Enregistrement</a>
				</li>

			{% endif %}
		</ul>

		<form class="form-inline my-2 my-lg-0" action="{{ path('search.index') }}">
			<input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="search">
			<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Rechercher</button>
		</form>
	</div>
</nav>